<?php
namespace Main\Src;

use Dever;
use Mqtt\Src\Api as Mqtt;

class Home
{
	private $key = 'XXG/869300032841441';
	public function index()
	{
		$data = array();
		return Dever::render('home', $data);
	}

	public function pub()
	{
		$code = Dever::input('code');
		$from = Dever::input('from');
		$to = Dever::input('to');
		$mid = Dever::input('mid');
		$msg = Dever::input('msg');

		$value = array
		(
			'c' => $code,
			'f' => $from,
			't' => $to,
			'm' => $msg,
			'mi' => $mid
		);
		if (!$mid) {
			$mid = 0;
		}
		if (!$msg) {
			$msg = 0;
		}
		$value = '{"c":'.$code.',"f":"'.$from.'","t":"'.$to.'","m":"'.$msg.'","mi":'.$mid.'}';

		//Dever::daemon('api.pub?key=' . $key. '&value=' . $value, 'mqtt');
		$mqtt = new Mqtt();
		$mqtt->pub($this->key, $value);
		return $this->key . ':' . $value;
	}

	public function sub()
	{
		$this->key = 'XXG/XXG001';
		$mqtt = new Mqtt();
		$mqtt->sub($this->key, array($this, 'callback'));
		return true;
	}

	public function callback($topic, $msg)
	{
		Dever::log($topic . ':' . $msg);

		Dever::db('main/data')->insert(array('server_id' => 1, 'topic' => $topic, 'msg' => $msg));
	}
}